# Created by pyp2rpm-3.3.7
%global pypi_name sockio
%global pypi_version 0.15.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        Concurrency agnostic socket API

License:        GPLv3+
URL:            https://tiagocoutinho.github.io/sockio/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
This concurrency agnostic socket library is helpful when handling with
instrumentation which work over TCP and implement simple REQ-REP
communication protocols implemented REQ-REP and streaming semantics
with auto-reconnection facilities.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This concurrency agnostic socket library is helpful when handling with
instrumentation which work over TCP and implement simple REQ-REP
communication protocols implemented REQ-REP and streaming semantics
with auto-reconnection facilities.

%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Tue Feb 22 2022 Fabian Affolter <mail@fabian-affolter.ch> - 0.15.0-1
- Initial package
